package main

import (
	"dc_golang_server_1/cache"
	"dc_golang_server_1/config"
	"dc_golang_server_1/dbmodel"
	"dc_golang_server_1/devproduct/dcphone20"
	"dc_golang_server_1/logger"
	"dc_golang_server_1/web"
	"fmt"
	"runtime"
	"time"
)

// @title 多彩中小学一卡通系统
// @version V0.0.1
// @Description 用于家长端微信小程序及web端管理后台
// @securityDefinitions.apikey ApiKeyAuth
// @in header
// @name token
// @BasePath /
func main() { //
	fmt.Println(time.Now(), "system init")
	runtime.GOMAXPROCS(runtime.NumCPU())

	config.Init()
	logger.Init()

	dbmodel.InitDb()
	defer dbmodel.CloseDb()

	cache.Init()

	dcphone20.NewDCPhone20()
	//dcdrinking60.NewDCDrinking60()

	web.InitRouter()
}
